Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 1039845 (CVE-2013-7266, CVE-2013-7267, CVE-2013-7268, CVE-2013-7269, CVE-2013-7270, CVE-2013-7271)

Summary: CVE-2013-7271 Kernel: net: information leak in recvmsg handler msg_name & msg_namelen logic
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, aquini, bhu, dhoward, esammons, fhrbata, fwestpha, gansalmon, iboverma, itamar, jbenc, jforbes, jkacur, jkurik, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, nobody, pholasek, plougher, pmatouse, ppandit, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20131121,reported=20131128,source=researcher,cvss2=2.1/AV:L/AC:L/Au:N/C:P/I:N/A:N,rhel-5/kernel=wontfix,rhel-6/kernel=affected,rhel-7/kernel=notaffected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-24 03:02:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1039866, 1039867, 1039868, 1039869, 1039870, 1039871, 1039872, 1039874    
Bug Blocks: 1036073    

Description Prasad J Pandit 2013-12-10 02:25:50 EST
Linux kernel built with the networking support(CONFIG_NET) is vulnerable to an
information leakage flaw in the socket layer. It could occur while doing
recvmsg(2), recvfrom(2) socket calls. It occurs due to improperly
initialised msg_name & msg_namelen message header parameters.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/f3d3342602f8bcbf37d7c46641cb9bca7618eb1c

Original 'CVE-2013-6463' assigned to this issue has been rejected and the following 6 have been assigned for the same:

   - CVE-2013-7266 (drivers/isdn/mISDN/socket.c),
   - CVE-2013-7267 (net/appletalk/ddp.c),
   - CVE-2013-7268 (net/ipx/af_ipx.c),
   - CVE-2013-7269 (net/netrom/af_netrom.c),
   - CVE-2013-7270 (net/packet/af_packet.c),
   - CVE-2013-7271 (net/x25/af_x25.c)

==
Name: CVE-2013-6463

** REJECT **

DO NOT USE THIS CANDIDATE NUMBER. ConsultIDs: CVE-2013-7266,
CVE-2013-7267, CVE-2013-7268, CVE-2013-7269, CVE-2013-7270,
CVE-2013-7271. Reason: This candidate is a duplicate of
CVE-2013-7266, CVE-2013-7267, CVE-2013-7268, CVE-2013-7269,
CVE-2013-7270, and CVE-2013-7271. Notes: All CVE users should
reference CVE-2013-7266, CVE-2013-7267, CVE-2013-7268, CVE-2013-7269,
CVE-2013-7270, and/or CVE-2013-7271 instead of this candidate. All
references and descriptions in this candidate have been removed to
prevent accidental usage.
===
Comment 1 Prasad J Pandit 2013-12-10 02:32:28 EST
Statement CVE-2013-7266:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.


Statement CVE-2013-7267:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

Statement CVE-2013-7268:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

Statement CVE-2013-7269:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

Statement CVE-2013-7270:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and
maintenance life cycle. This has been rated as having Low security
impact and is not currently planned to be addressed in future updates. For
additional information, refer to the Red Hat Enterprise Linux Life
Cycle: https://access.redhat.com/support/policy/updates/errata/.

Statement CVE-2013-7271:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 2 Prasad J Pandit 2013-12-10 02:34:24 EST
Acknowledgement:

Red Hat would like to thank Hannes Frederic Sowa for reporting this issue.
Comment 5 Prasad J Pandit 2013-12-10 03:48:39 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1039874]
Comment 11 Fedora Update System 2013-12-20 21:14:41 EST
kernel-3.12.5-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-12-20 21:24:31 EST
kernel-3.12.5-302.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Vincent Danen 2014-07-29 09:51:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0328 https://rhn.redhat.com/errata/RHSA-2014-0328.html